Bug Hunting Session
Bug 85722 - Sidebar button panel shouldnt be clickable (summary in comment 8)
Summary: Sidebar button panel shouldnt be clickable (summary in comment 8)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2014-10-31 23:22 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-24 12:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-10-31 23:22:34 UTC
The sidebar has a weird behaviour of hiding itself after i had just unhid it. This behaviour happens randomly and has happened many times on different versions of 4.2, 4.3 and master on both linux and windows.

So the sidebar would be enabled but closed/hidden and i'd click the show button to unhide it. Then when i'd move my mouse either into the document or into the toolbars, the sidebar would hide itself. This time it happened once before starting writing this bug and a second time during writing this bug.

Version: 4.4.0.0.alpha1+
Build ID: c91e045c12ac5dffc20c04c6f97db4892c1e558d
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-10-31_01:07:08
Comment 1 A (Andy) 2014-11-01 07:27:35 UTC
Could you please give me a little bit more information about the different steps to reproduce it, because I am not sure how to reproduce it.
I know with VIEW -> SIDEBAR you can select whether the sidebar is shown or not and if the full sidebar is open you can close it with clicking on X so that you can only see the icons.  But how can you hide the sidebar and where can I find the show button?  Thank you very much in advance.

(tested with LO 4.3.3.2, Win 8)
Comment 2 Yousuf Philips (jay) (retired) 2014-11-01 09:32:10 UTC
To the right of the scrollbar, there is a small button, which can be seen in attachment 105798 [details]. It is used to hide and unhide the sidebar without having the enable/disable it from the view menu.

As this happens in a random way, in order to reproduce it, you would have to be regularly hiding and unhiding the sidebar during your regular usage of LibO.

Steps:
1) Open Writer with sidebar in its enabled but hidden/closed state
2) Click the small show button to expand sidebar
3) Move mouse to toolbar or to document
4) Sidebar hides itself
Comment 3 A (Andy) 2014-11-01 10:26:04 UTC
Thank you very much for your fast reply and support.

I tried it a few times, but I could unfortunately not reproduce it.  But you wrote it happens randomly and not always?  I will take care if I can maybe see it in the next days.

(tested with LO 4.3.3.2, Win 8.1)
Comment 4 Jacques Guilleron 2014-11-01 11:10:17 UTC
Hi Jay, Andy,

There's two behaviours for this button. 
Once the sidebar enabled but closed (you see a narrrow band with a central button on the right of the scrollbar), if you click exactly on the button, you open the sidebar and it keeps opened constantly. If you now click out of this button but into the narrow band to open the sidebar, this time when you click into your document to work, the sidebar disappears.
Is it the behaviour you observed?

Regards,

Jacques
Comment 5 A (Andy) 2014-11-01 13:51:26 UTC
Jacques, thanks for your feedback.

If I click on the dots/button in the middle the sidebar stays open.
But if I click on the narrow band above or below of the button and then move the mouse outside the sidebar then the sidebar closes after a few moments.
But then this is probably no bug?

@Jay: Was this also the behaviour you had?

(tested with LO 4.3.3.2, Win 8.1)
Comment 6 Yousuf Philips (jay) (retired) 2014-11-01 16:30:58 UTC
Hi Jacques,

Till the moment you just mentioned it now, i didnt know that it was possible to click anything but the central button to open the sidebar. Maybe it could be that i was trying to click the central button and am missing it by a few pixels and so it was opening in that manner. So is there a reason why this behaviour of clicking outside of the central button is made to work in this fashion?
Comment 7 Jacques Guilleron 2014-11-01 18:18:21 UTC
Hi Jay,

I learned it like you, about the media window in Impress. Only a few pixels out of the button and you experiment it. 
All anchored windows have this behaviour. So Gallery and database windows. This is useful to apply a style for example and find again the whole window to work.
Perhaps this is not very well documented...

Jacques
Comment 8 tommy27 2014-11-02 04:05:51 UTC
(In reply to Jay Philips from comment #6)
> Hi Jacques,
> 
> Till the moment you just mentioned it now, i didnt know that it was possible
> to click anything but the central button to open the sidebar. 

me too.

>  Maybe it could be that i was trying to click the central button and am missing it by a few
> pixels and so it was opening in that manner. So is there a reason why this
> behaviour of clicking outside of the central button is made to work in this
> fashion?

I think that is a bug... there's a lot of time where I want to move the scrollbar and if I'm not very accurate with the mouse I accidentally hit the sidebar causing it to pop out.

IMHO the sidebar should be opened only by clicking on the small dots sensible area. being sensible to clicks above and below it and with a different behaviour can cause confusion for user in different scenarios...

either for those who truly wanted to expand the sidebar (but clicked a few pixels higher or lower) and see it auto-hide when going back to the document (Jay's case) or those (like me) who just wanted to click the scrollbar (but clicked a few pixels right) and see unwanted appearance of the sidebar.

let's consider opening a clean new report about the real issue which is that sidebar can be expanded even clicking outside it's pop-up button
Comment 9 Yousuf Philips (jay) (retired) 2014-11-02 16:43:10 UTC
(In reply to tommy27 from comment #8)
> or those (like me) who just wanted to click the scrollbar (but
> clicked a few pixels right) and see unwanted appearance of the sidebar.

Yes this happens to me constantly as my reflects always move to the farthest point to the right to click the scrollbar. :D
Comment 10 tommy27 2014-11-03 05:00:27 UTC
let's set the status to NEW but let's consider opening a new clean report with just the exact information about the issue which is due to the presence of clickable areas above and below the expand button
Comment 11 Alex Thurgood 2015-01-03 17:39:55 UTC Comment hidden (no-value)
Comment 12 Yousuf Philips (jay) (retired) 2015-08-09 17:05:07 UTC
The show/hide button is longer since 5.0.
Comment 13 QA Administrators 2016-09-20 10:20:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920